> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ecrypt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Credit

> ### DESCRIPTION ###



## OpenAPI

````yaml swagger-001.json POST /v1/transactions/credit
openapi: 3.0.4
info:
  title: Ecrypt API
  description: Ecrypt API
  termsOfService: https://ecrypt.com
  contact:
    name: Dev Support
    url: https://developer.ecrypt.com
    email: devsupport@ecrypt.com
  version: v1
servers:
  - url: https://api.ecrypt.com
    description: Live
security:
  - x-api-key: []
paths:
  /v1/transactions/credit:
    post:
      tags:
        - Transactions
      summary: Credit
      description: "### DESCRIPTION ###\r\n***Supported Payment Methods***\r\n- `Credit Card`\r\n- `Cloud EMV`"
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Transactions.TransactionCreditRequest
          text/json:
            schema:
              $ref: >-
                #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Transactions.TransactionCreditRequest
          application/*+json:
            schema:
              $ref: >-
                #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Transactions.TransactionCreditRequest
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Transactions.TransactionResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Ecrypt.Gateway.Api.Core.Model.BadRequest'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '429':
          description: Too Many Requests
components:
  schemas:
    Ecrypt.Gateway.Api.Core.Model.Transactions.TransactionCreditRequest:
      type: object
      properties:
        payment:
          $ref: >-
            #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Transactions.Payment
        amount:
          $ref: >-
            #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Transactions.Amount
        order:
          $ref: >-
            #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Transactions.Order
        initiatedByUserId:
          type: integer
          format: int64
          nullable: true
        referenceTransactionId:
          type: integer
          format: int64
          nullable: true
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.Transactions.TransactionResponse:
      required:
        - requestId
      type: object
      properties:
        transactionId:
          type: string
        authCode:
          type: string
        responseCode:
          type: string
        responseText:
          type: string
        latency:
          type: integer
          format: int32
        avs:
          $ref: >-
            #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Transactions.AvsResponse
        cvv:
          $ref: >-
            #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Transactions.CvvResponse
        amount:
          type: number
          format: decimal
        metadata:
          type: object
          additionalProperties: {}
          nullable: true
        requestId:
          maxLength: 100
          minLength: 1
          type: string
          default: '000000000000000000000'
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/Ecrypt.Gateway.Api.Core.Model.ResponseBaseError
          nullable: true
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.BadRequest:
      required:
        - requestId
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Ecrypt.Gateway.Api.Core.Model.BadRequestError'
          nullable: true
        requestId:
          maxLength: 100
          minLength: 1
          type: string
          default: '000000000000000000000'
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.Transactions.Payment:
      type: object
      properties:
        token:
          maxLength: 64
          minLength: 8
          pattern: ^[0-9A-Za-z-]*$
          type: string
          description: "Token ID generated from the iframe or the tokens endpoint.\r\n\r\nExample: 00000000-0000-0000-0000-000000000000"
          nullable: true
        stored:
          $ref: >-
            #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Transactions.Stored
        terminal:
          $ref: >-
            #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Terminals.PaymentTerminal
        creditCard:
          $ref: '#/components/schemas/Ecrypt.Gateway.Api.Core.Model.WebAPI.CreditCard'
        check:
          $ref: '#/components/schemas/Ecrypt.Gateway.Api.Core.Model.Check'
        cash:
          type: boolean
          description: ''
          nullable: true
        creditCardEncrypted:
          type: string
          nullable: true
        googlePayPayment:
          $ref: >-
            #/components/schemas/Ecrypt.Gateway.Api.Core.Model.WebAPI.GooglePaymentRequest
        method:
          type: string
          readOnly: true
      additionalProperties: false
      description: "Payment requires that you submit only one of the below options:\r\n- `Token`\r\n- `Stored`\r\n- `Terminal`,\r\n- `Check`\r\n- `Cash`"
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.Transactions.Amount:
      required:
        - value
      type: object
      properties:
        currency:
          allOf:
            - $ref: >-
                #/components/schemas/Ecrypt.Gateway.Api.Core.Model.WebAPI.Enums.CurrencyCode
          nullable: true
        value:
          maximum: 999999999.99
          minimum: 0.01
          type: number
          description: "Values is the full amount to be processed.  The value is inclusive of all tax, discounts, shipping, fees ect.\r\n\r\nExample: 127.55"
          format: decimal
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.Transactions.Order:
      type: object
      properties:
        id:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        customerId:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        customerPublicIdentifier:
          type: string
          nullable: true
        referenceObject:
          type: string
          nullable: true
        referenceObjectId:
          type: integer
          format: int64
          nullable: true
        billTo:
          $ref: >-
            #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Transactions.Address
        shipTo:
          $ref: >-
            #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Transactions.Address
        discount:
          type: number
          format: decimal
          nullable: true
        surcharge:
          type: number
          format: decimal
          nullable: true
        shipping:
          type: number
          format: decimal
          nullable: true
        email:
          type: string
          nullable: true
        tip:
          type: number
          format: decimal
          nullable: true
        tax:
          type: number
          format: decimal
          nullable: true
        total:
          type: number
          format: decimal
          nullable: true
        date:
          type: string
          format: date-time
        lines:
          type: array
          items:
            $ref: >-
              #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Transactions.Line
          nullable: true
        metadata:
          type: object
          additionalProperties:
            type: string
          nullable: true
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.Transactions.AvsResponse:
      type: object
      properties:
        code:
          type: string
        text:
          type: string
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.Transactions.CvvResponse:
      type: object
      properties:
        code:
          type: string
        text:
          type: string
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.ResponseBaseError:
      type: object
      properties:
        type:
          type: string
        message: {}
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.BadRequestError:
      type: object
      properties:
        type:
          type: string
        message: {}
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.Transactions.Stored:
      type: object
      properties:
        customer:
          maxLength: 64
          minLength: 8
          pattern: ^[0-9A-Za-z-]*$
          type: string
          description: >-
            Ecrypt Customer Identifier, this will use the customers default
            payment method on file.  This can be found under Customer Vault/Api
            User Id
          nullable: true
        wallet:
          maxLength: 64
          minLength: 8
          pattern: ^[0-9A-Za-z-]*$
          type: string
          description: >-
            Ecrypt Customer Wallet Identifier, this will use the specified
            payment method.
          nullable: true
        initiatedBy:
          allOf:
            - $ref: >-
                #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Transactions.INITIATED_BY
          nullable: true
        initial:
          allOf:
            - $ref: >-
                #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Transactions.INITIAL
          nullable: true
        installment:
          type: integer
          format: int32
          nullable: true
        initialTransactionId:
          type: string
          nullable: true
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.Terminals.PaymentTerminal:
      required:
        - id
      type: object
      properties:
        id:
          maxLength: 64
          minLength: 8
          pattern: ^[0-9A-Za-z-]*$
          type: string
          description: "Payment Terminal Identifier, this can be found on your Ecrypt Dashboard under Setting/Device Management.\r\n\r\nExample: 00000000-0000-0000-0000-000000000000"
        externalIdentifier:
          type: string
          description: "Processor Terminal Identifier, this is used by the processor.\r\n\r\nINTERNAL USE ONLY"
          nullable: true
        promptTip:
          type: boolean
          description: >-
            Prompt for Tip will display tip at time of sale options.  If your
            account does not support tip at time of sale this option will be
            ignored.
          nullable: true
        tipAmounts:
          type: array
          items:
            type: number
            format: decimal
          description: "Tip amounts in dollar format.  Terminals can support 3 or 4 tip amounts depending on the terminal.  Any extra items will be ignored.  This is required if you set Prompt for Tip to true.\r\n\r\nExample: [28.23, 33.88, 37.65, 41.41]"
          nullable: true
        promptCvv:
          type: boolean
          description: >-
            Prompt for CVV/CVC will attempt to override the card verification
            requirement and force CVV/CVC input.
          nullable: true
        promptPostalCode:
          type: boolean
          description: >-
            Prompt for Postal Code will allow the customer to enter their
            billing postal code.
          nullable: true
        promptAmountConfirmation:
          type: boolean
          description: >-
            Prompt for Amount Confirmation will force the customer to approve
            the transaction amount.
          nullable: true
        promptSignature:
          type: boolean
          description: >-
            Prompt for Signature will show the signature screen on compatible
            terminals.
          nullable: true
        keyCard:
          type: boolean
          description: Prompt Key Card will allow you to manually enter the card details.
          nullable: true
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.WebAPI.CreditCard:
      required:
        - accountNumber
        - expires
      type: object
      properties:
        nameOnCard:
          pattern: ^[0-9A-Za-z `',;-]*$
          type: string
          description: Name as it appears on the credit card.
          default: John Doe
          nullable: true
        accountNumber:
          maxLength: 20
          minLength: 13
          pattern: ^[0-9]*$
          type: string
          description: Credit Card primary account number(PAN)
          default: '4111111111111111'
        expires:
          maxLength: 7
          minLength: 4
          pattern: ^[0-9 /]*$
          type: string
          description: "Credit Card Expiry\r\n\r\nFormat: MMYY\r\nExample: 0135 = January 2035"
          default: '0135'
        verificationValue:
          pattern: ^[0-9]*$
          type: string
          description: 3 or 4 digit card verification value(CVV, CVC).
          default: '000'
          nullable: true
        postalCode:
          pattern: ^[0-9A-Za-z -]*$
          type: string
          description: Billing address postal code.
          default: '90210'
          nullable: true
        transactionId:
          type: string
          description: >-
            Processor transaction id.  This is used for processors that support
            re-charge an existing transaction.  INTERNAL USE ONLY
          nullable: true
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.Check:
      required:
        - accountNumber
        - routingNumber
      type: object
      properties:
        name:
          maxLength: 100
          minLength: 0
          pattern: ^[0-9A-Za-z _\-\.,`'()@#!?\/\\:;|+=@%&]*$
          type: string
          description: "Name as it appears on the check.\r\n\r\nExample: John Doe"
          nullable: true
        accountNumber:
          maxLength: 20
          minLength: 7
          pattern: ^[0-9]*$
          type: string
          description: "Account Number as it appears on the check.\r\n\r\nExample: 123123123"
        routingNumber:
          maxLength: 20
          minLength: 8
          pattern: ^[0-9]*$
          type: string
          description: "Routing Number as it appears on the check.\r\n\r\nExample: 123123123"
        checkNumber:
          maxLength: 8
          minLength: 0
          pattern: ^[0-9]*$
          type: string
          description: "Check Number\r\n\r\nExample: 100"
          nullable: true
        accountType:
          $ref: >-
            #/components/schemas/Ecrypt.Gateway.Api.Core.Model.WebAPI.Enums.AccountType
        verification:
          $ref: '#/components/schemas/Ecrypt.Gateway.Api.Core.Model.CheckVerification'
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.WebAPI.GooglePaymentRequest:
      type: object
      properties:
        signature:
          type: string
        intermediateSigningKey:
          $ref: >-
            #/components/schemas/Ecrypt.Gateway.Api.Core.Model.WebAPI.IntermediateSigningKey
        protocolVersion:
          type: string
        signedMessage:
          type: string
        postalCode:
          type: string
        nameOnCard:
          type: string
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.WebAPI.Enums.CurrencyCode:
      enum:
        - 8
        - 12
        - 32
        - 36
        - 44
        - 48
        - 50
        - 51
        - 52
        - 60
        - 64
        - 68
        - 72
        - 84
        - 90
        - 96
        - 104
        - 108
        - 116
        - 124
        - 132
        - 136
        - 144
        - 152
        - 156
        - 170
        - 174
        - 188
        - 192
        - 203
        - 208
        - 214
        - 222
        - 230
        - 232
        - 238
        - 242
        - 262
        - 270
        - 292
        - 320
        - 324
        - 328
        - 332
        - 340
        - 344
        - 348
        - 352
        - 356
        - 360
        - 364
        - 368
        - 376
        - 388
        - 392
        - 398
        - 400
        - 404
        - 408
        - 410
        - 414
        - 417
        - 418
        - 422
        - 426
        - 430
        - 434
        - 446
        - 454
        - 458
        - 462
        - 480
        - 484
        - 496
        - 498
        - 504
        - 512
        - 516
        - 524
        - 532
        - 533
        - 548
        - 554
        - 558
        - 566
        - 578
        - 586
        - 590
        - 598
        - 600
        - 604
        - 608
        - 634
        - 643
        - 646
        - 654
        - 682
        - 690
        - 702
        - 704
        - 706
        - 710
        - 728
        - 748
        - 752
        - 756
        - 760
        - 764
        - 776
        - 780
        - 784
        - 788
        - 800
        - 807
        - 818
        - 826
        - 834
        - 840
        - 858
        - 860
        - 882
        - 886
        - 901
        - 925
        - 926
        - 929
        - 930
        - 931
        - 932
        - 933
        - 934
        - 936
        - 937
        - 938
        - 940
        - 941
        - 943
        - 944
        - 946
        - 947
        - 948
        - 949
        - 950
        - 951
        - 952
        - 953
        - 960
        - 965
        - 967
        - 968
        - 969
        - 970
        - 971
        - 972
        - 973
        - 975
        - 976
        - 977
        - 978
        - 979
        - 980
        - 981
        - 984
        - 985
        - 986
        - 990
        - 994
        - 997
      type: integer
      format: int32
      x-enumNames:
        - ALL
        - DZD
        - ARS
        - AUD
        - BSD
        - BHD
        - BDT
        - AMD
        - BBD
        - BMD
        - BTN
        - BOB
        - BWP
        - BZD
        - SBD
        - BND
        - MMK
        - BIF
        - KHR
        - CAD
        - CVE
        - KYD
        - LKR
        - CLP
        - CNY
        - COP
        - KMF
        - CRC
        - CUP
        - CZK
        - DKK
        - DOP
        - SVC
        - ETB
        - ERN
        - FKP
        - FJD
        - DJF
        - GMD
        - GIP
        - GTQ
        - GNF
        - GYD
        - HTG
        - HNL
        - HKD
        - HUF
        - ISK
        - INR
        - IDR
        - IRR
        - IQD
        - ILS
        - JMD
        - JPY
        - KZT
        - JOD
        - KES
        - KPW
        - KRW
        - KWD
        - KGS
        - LAK
        - LBP
        - LSL
        - LRD
        - LYD
        - MOP
        - MWK
        - MYR
        - MVR
        - MUR
        - MXN
        - MNT
        - MDL
        - MAD
        - OMR
        - NAD
        - NPR
        - ANG
        - AWG
        - VUV
        - NZD
        - NIO
        - NGN
        - NOK
        - PKR
        - PAB
        - PGK
        - PYG
        - PEN
        - PHP
        - QAR
        - RUB
        - RWF
        - SHP
        - SAR
        - SCR
        - SGD
        - VND
        - SOS
        - ZAR
        - SSP
        - SZL
        - SEK
        - CHF
        - SYP
        - THB
        - TOP
        - TTD
        - AED
        - TND
        - UGX
        - MKD
        - EGP
        - GBP
        - TZS
        - USD
        - UYU
        - UZS
        - WST
        - YER
        - TWD
        - SLE
        - VED
        - MRU
        - STN
        - CUC
        - ZWL
        - BYN
        - TMT
        - GHS
        - VEF
        - SDG
        - UYI
        - RSD
        - MZN
        - AZN
        - RON
        - CHE
        - CHW
        - TRY
        - XAF
        - XCD
        - XOF
        - XPF
        - XDR
        - XUA
        - ZMW
        - SRD
        - MGA
        - COU
        - AFN
        - TJS
        - AOA
        - BGN
        - CDF
        - BAM
        - EUR
        - MXV
        - UAH
        - GEL
        - BOV
        - PLN
        - BRL
        - CLF
        - XSU
        - USN
    Ecrypt.Gateway.Api.Core.Model.Transactions.Address:
      type: object
      properties:
        name:
          type: string
          nullable: true
        line1:
          type: string
          nullable: true
        line2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        postalCode:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.Transactions.Line:
      type: object
      properties:
        productCode:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        commodityCode:
          type: string
          nullable: true
        unitOfMeasure:
          type: string
        unitCost:
          type: number
          format: decimal
        quantity:
          type: integer
          format: int32
        total:
          type: number
          format: decimal
        tax:
          type: number
          format: decimal
        taxRate:
          type: number
          format: decimal
        discount:
          type: number
          format: decimal
        discountRate:
          type: number
          format: decimal
        taxType:
          type: string
          nullable: true
        alternateTaxId:
          type: string
          nullable: true
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.Transactions.INITIATED_BY:
      enum:
        - 0
        - 1
      type: integer
      description: "Initiated By\r\n\r\nExample: MERCHANT\r\n*** Supported Values ***\r\n- `MERCHANT`, recurring payments, installments, or other senarios where the merchant start then transaction\r\n- `CUSTOMER`, customer started the transaction"
      format: int32
      x-enumNames:
        - MERCHANT
        - CUSTOMER
    Ecrypt.Gateway.Api.Core.Model.Transactions.INITIAL:
      enum:
        - 0
        - 1
      type: integer
      description: "Initial Transaction type\r\n\r\nExample: RECURRING\r\n*** Supported Values ***\r\n- `[NULL]`, \r\n- `RECURRING`\r\n- `INSTALLMENT`"
      format: int32
      x-enumNames:
        - RECURRING
        - INSTALLMENT
    Ecrypt.Gateway.Api.Core.Model.WebAPI.Enums.AccountType:
      enum:
        - 0
        - 1
      type: integer
      description: "Type of account\r\n\r\nExample: CHECKING\r\n*** Supported Values ***\r\n- `CHECKING`\r\n- `SAVINGS`"
      format: int32
      x-enumNames:
        - Checking
        - Savings
    Ecrypt.Gateway.Api.Core.Model.CheckVerification:
      type: object
      properties:
        dob:
          maxLength: 14
          minLength: 8
          pattern: ^[0-9A-Za-z _\-\.\/]*$
          type: string
          description: "Date of Birth\r\n\r\nFormat: MM/DD/YYYY\r\nExample: 01/17/2006 = January 17th 2006"
          nullable: true
        ssn:
          maxLength: 14
          minLength: 8
          pattern: ^[0-9A-Za-z _\-\.\/]*$
          type: string
          description: "Social Security Number\r\n\r\nFormat: DDD-DD-DDDD\r\nExample: 123-45-6789"
          nullable: true
        driversLicense:
          $ref: >-
            #/components/schemas/Ecrypt.Gateway.Api.Core.Model.CheckVerificationDriversLicense
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.WebAPI.IntermediateSigningKey:
      type: object
      properties:
        signedKey:
          type: string
        signatures:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.CheckVerificationDriversLicense:
      type: object
      properties:
        number:
          maxLength: 100
          minLength: 0
          pattern: ^[0-9A-Za-z _\-\.\/]*$
          type: string
          description: "Number\r\n\r\nExample: A123456789"
          nullable: true
        state:
          maxLength: 100
          minLength: 0
          pattern: ^[0-9A-Za-z _\-\.\/]*$
          type: string
          description: "State\r\n\r\nFormat: CC\r\nExample: CA = California"
          nullable: true
      additionalProperties: false
      nullable: true
  securitySchemes:
    x-api-key:
      type: apiKey
      description: Authorization by x-api-key inside request's header
      name: x-api-key
      in: header

````